MainWindow Class Reference
Inheritance diagram for MainWindow:

## Public Member Functions

| MainWindow (QWidget *parent=0)
| Constructor.
| ~MainWindow ()
| Destructor.
void | histo (string names[], double values[], int size, string xAxisLabel, string yAxisLabel)
| This function receives information about the ticks and values for a bar chart, then displays it using the customPlot widget from qcustomplot. More...

## Private Attributes

Ui::MainWindow * | ui
QCustomPlot * | myPlot

## Member Function Documentation

void MainWindow::histo | ( | string | names[],
|  | double | values[],
|  | int | size,
|  | string | xAxisLabel,
|  | string | yAxisLabel
| ) |  |

This function receives information about the ticks and values for a bar chart, then displays it using the customPlot widget from qcustomplot.

Parameters

  names | an array of strings for the names of the x-axis ticks
  values | an array of doubles for the values of y-axis
  size | the size of the names (and values) arrays
  xAxisLabel | a string for the x-axis title
  yAxisLabel | a string for the y-axis title

The documentation for this class was generated from the following files:

- mainwindow.h
- mainwindow.cpp